Create campaign
curl --request POST \
--url https://studio.x402layer.cc/api/campaigns \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"title": "<string>",
"wallet_address": "<string>",
"target_amount": 1001,
"description": "<string>",
"token_ticker": "<string>",
"fee_option": "supporters",
"fee_split_pct": 50,
"images": [
"<string>"
],
"x_handle": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"bags_config_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://studio.x402layer.cc/api/campaigns"
payload = {
"title": "<string>",
"wallet_address": "<string>",
"target_amount": 1001,
"description": "<string>",
"token_ticker": "<string>",
"fee_option": "supporters",
"fee_split_pct": 50,
"images": ["<string>"],
"x_handle": "<string>",
"deadline": "2023-11-07T05:31:56Z",
"bags_config_type": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
title: '<string>',
wallet_address: '<string>',
target_amount: 1001,
description: '<string>',
token_ticker: '<string>',
fee_option: 'supporters',
fee_split_pct: 50,
images: ['<string>'],
x_handle: '<string>',
deadline: '2023-11-07T05:31:56Z',
bags_config_type: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://studio.x402layer.cc/api/campaigns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"campaign": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"slug": "<string>",
"title": "<string>",
"url": "<string>",
"endpoint_slug": "<string>"
}
}Fundraiser Campaigns
Create campaign
Creates a new fundraiser campaign. Requires Supabase authentication.
POST
/
api
/
campaigns
Create campaign
Authorizations
Supabase session JWT
Body
application/json
Minimum string length:
3Creator's Solana wallet for payouts
Funding target in USDC
Required range:
x >= 10002–10 uppercase alphanumeric characters
Pattern:
^[A-Z0-9]{2,10}$Available options:
supporters, creator, split Creator's percentage when using split
Required range:
0 <= x <= 100First image = token logo
Maximum array length:
5X/Twitter handle without @
Available options:
medical, emergency, education, community, creative, tech, business, personal, other Fee tier UUID
Was this page helpful?
⌘I
